Bug 23976 - anaconda crashes during install on existing partition even after update 10/9/2000
anaconda crashes during install on existing partition even after update 10/9/...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-14 02:15 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-15 19:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-14 02:15:51 EST
raceback (innermost last):
  File "/usr/bin/anaconda.real", line 450, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1052, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/usr/lib/anaconda/comps.py", line 465, in __init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/usr/lib/anaconda/comps.py", line 438, in readCompsFile
    comp.addPackage(packages[l])
  File "/usr/lib/anaconda/comps.py", line 111, in __getitem__
    return self.packages[item]
KeyError: slang-j

Local variables in innermost frame:
self: <comps.HeaderList instance at 81a0418>
item: slang-j

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>
Comment 1 Michael Fulbright 2001-01-15 19:37:22 EST
You hard drive image you are installing from is missing files or has corrupt
files. Try copying it again.

Note You need to log in before you can comment on or make changes to this bug.